Bug 126022 - Unable to handle kernel NULL pointer dereference at virtual address 00000000
Unable to handle kernel NULL pointer dereference at virtual address 00000000
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-15 08:55 EDT by Neal Becker
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2004-06-15 08:55:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Jun 15 08:43:07 rpppc1 kernel: smb_lookup: find //.Trash-nbecker failed, error=-5
Jun 15 08:43:07 rpppc1 kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000000
Jun 15 08:43:07 rpppc1 kernel:  printing eip:
Jun 15 08:43:07 rpppc1 kernel: 00000000
Jun 15 08:43:07 rpppc1 kernel: *pde = 00000000
Jun 15 08:43:07 rpppc1 kernel: Oops: 0000 [#1]
Jun 15 08:43:07 rpppc1 kernel: CPU:    0
Jun 15 08:43:07 rpppc1 kernel: EIP:    0060:[<00000000>]    Not tainted
Jun 15 08:43:07 rpppc1 kernel: EFLAGS: 00210246   (2.6.5-1.358) 
Jun 15 08:43:07 rpppc1 kernel: EIP is at 0x0
Jun 15 08:43:07 rpppc1 kernel: eax: 381ada80   ebx: 415bf590   ecx: 0214edcd   edx: 3ac2dfa0
Jun 15 08:43:07 rpppc1 kernel: esi: 10b46024   edi: 031d68c0   ebp: 381ada80   esp: 3ac2df14
Jun 15 08:43:07 rpppc1 kernel: ds: 007b   es: 007b   ss: 0068
Jun 15 08:43:07 rpppc1 kernel: Process nautilus (pid: 19078, threadinfo=3ac2d000 task=0206f1b0)
Jun 15 08:43:07 rpppc1 kernel: Stack: 4557f976 3ac2df38 00000000 10b46000 05f1fe54 2cfbee18 360b5780 0214edcd 
Jun 15 08:43:07 rpppc1 kernel:        3ac2dfa0 00000000 3e1816ea 381ada80 00000000 00000000 10b46000 00000002 
Jun 15 08:43:07 rpppc1 kernel:        00000000 00000000 00000001 00000004 00200246 45587020 2cfbee80 381ada80 
Jun 15 08:43:07 rpppc1 kernel: Call Trace:
Jun 15 08:43:07 rpppc1 kernel:  [<4557f976>] smb_readdir+0x346/0x3f1 [smbfs]
Jun 15 08:43:07 rpppc1 kernel:  [<0214edcd>] filldir64+0x0/0x12e
Jun 15 08:43:07 rpppc1 kernel:  [<0214eaba>] vfs_readdir+0x7a/0x9b
Jun 15 08:43:07 rpppc1 kernel:  [<0214edcd>] filldir64+0x0/0x12e
Jun 15 08:43:07 rpppc1 kernel:  [<0214ef60>] sys_getdents64+0x65/0xaa
Jun 15 08:43:07 rpppc1 kernel:  [<0214e26c>] generic_file_fcntl+0xd7/0x140
Jun 15 08:43:07 rpppc1 kernel: 
Jun 15 08:43:07 rpppc1 kernel: Code:  Bad EIP value.


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Didn't try

Steps to Reproduce:
1.Try to mount smb share on local host
2.
3.
    

Additional info:
Comment 1 Götz Reinicke 2005-03-21 03:37:15 EST
Hi,
my FC3 (Kernel 2.6.10-1.770_FC3smp) Server has nearly once a week the problem,
that it stops compleatly and the last messages are "Unable to handle kernel NULL
pointer"; e.g:


Mar 16 17:34:39 mail kernel: Unable to handle kernel NULL pointer dereference at
virtual address 0000000c
Mar 16 17:34:39 mail kernel:  printing eip:
Mar 16 17:34:39 mail kernel: c01b387c
Mar 16 17:34:39 mail kernel: *pde = 298ca001
Mar 16 17:34:39 mail kernel: Oops: 0000 [#4]
Mar 16 17:34:39 mail kernel: SMP
Mar 16 17:34:39 mail kernel: Modules linked in: loop iptable_filter ip_tables
md5 ipv6 autofs4 i2c_dev i2c_core nfs lockd sunrpc microcode dm_mod video
 button battery ac ohci_hcd cfi_probe gen_probe scb2_flash mtdcore chipreg
map_funcs tg3 floppy sg ext3 jbd megaraid_mbox megaraid_mm sd_mod scsi_mod
Mar 16 17:34:39 mail kernel: CPU:    3
Mar 16 17:34:39 mail kernel: EIP:    0060:[<c01b387c>]    Not tainted VLI
Mar 16 17:34:39 mail kernel: EFLAGS: 00010282   (2.6.10-1.766_FC3smp)
Mar 16 17:34:39 mail kernel: EIP is at __rb_rotate_left+0x8/0x36
Mar 16 17:34:39 mail kernel: eax: e5d2ba00   ebx: c041e5e4   ecx: e5d2ba00  
edx: 00000000
Mar 16 17:34:39 mail kernel: esi: e5d2ba00   edi: f6728d40   ebp: c041e5e4  
esp: e80f7ed4
Mar 16 17:34:39 mail kernel: ds: 007b   es: 007b   ss: 0068
Mar 16 17:34:39 mail kernel: Process procmail (pid: 4160, threadinfo=e80f7000
task=f48e7540)
Mar 16 17:34:39 mail kernel: Stack: cf227800 c01b3988 cf227800 cf227800 f6728d4c
0000057e c01965d7 f6728d40
Mar 16 17:34:39 mail kernel:        0000000e e80f7f58 e80f7f66 ffffffea c019668b
00000016 00000000 0000057e
Mar 16 17:34:39 mail kernel:        c03191e0 e80f7f58 00000000 ec73b840 0000057e
c01977df ffffffff 001f0000
Mar 16 17:34:39 mail kernel: Call Trace:
Mar 16 17:34:39 mail kernel:  [<c01b3988>] rb_insert_color+0xa8/0xc1
Mar 16 17:34:39 mail kernel:  [<c01965d7>] key_user_lookup+0xcf/0xfc
Mar 16 17:34:39 mail kernel:  [<c019668b>] key_alloc+0x53/0x2b6
Mar 16 17:34:39 mail kernel:  [<c01977df>] keyring_alloc+0x1a/0x48
Mar 16 17:34:39 mail kernel:  [<c0198d43>] alloc_uid_keyring+0x2b/0x7c
Mar 16 17:34:39 mail kernel:  [<c0125d2e>] alloc_uid+0xae/0x133
Mar 16 17:34:39 mail kernel:  [<c01291d4>] set_user+0xb/0x8b
Mar 16 17:34:39 mail kernel:  [<c0129441>] sys_setuid+0x71/0x108
Mar 16 17:34:39 mail kernel:  [<c0103c97>] syscall_call+0x7/0xb
Mar 16 17:34:39 mail kernel: Code: 82 04 01 00 00 00 75 ea 41 83 f9 01 76 ed 31
c0 5b c3 57 b9 45 00 00 00 89 c7 31 c0 f3 ab 5f c3 90 90 90 53 89 d3 8b
 50 08 89 c1 <8b> 42 0c 85 c0 89 41 08 74 02 89 08 89 4a 0c 8b 01 85 c0 89 02 

I can't "reproduce" the error; it reproduces himselfe from time to time...
Comment 2 Dave Jones 2005-04-16 01:16:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.